Subject: Re: [PATCH 1/1] Tell vim the textwidth is 75.

From: Catalin Marinas <[email-masked]>
Date: Fri, 29 Jul 2005 10:55:52 +0100

Petr Baudis <[email-masked]> wrote:
> The committer field generally identifies the committer "physically", and
> isn't usually overriden. You'll find <[email-masked]> in my
> committer field, e.g.

I thought GIT_COMMITTER_{NAME,EMAIL} were added to be able to override
the defaults like username@localmachine.

The latest StGIT snapshot uses, by default, the committer's details
for the From: line when sending patches by e-mail, assuming that this
is a valid e-mail address. One can define his own e-mail template and
use a different From: line but I thought it would be simpler to
provide some defaults based on this.

If StGIT users don't like this default template, I can change it.

-- 
Catalin